[GLOBAL]
;SAVELOGS : Boolean
;If 1 (true) logs will be saved to a file at $HOME/PascalCoin
SAVELOGS=0
;NODE_PORT : Integer (Default 4004)
;Port P2P of PascalCoin
NODE_PORT=4004
;NODE_MAX_CONNECTIONS : Integer (Default 100)
;Max node connections P2P
NODE_MAX_CONNECTIONS=100
;RPC_PORT : Integer (Default 4003)
;Port to use by TCP/IP JSON-RPC commands
RPC_PORT=4003
;RPC_WHITELIST : String containing allowed IP's that can use port 4003. Empty=ALL
RPC_WHITELIST=127.0.0.1;
;RPC_ALLOWUSEPRIVATEKEYS : Boolean value allowing use of wallet private keys on JSON-RPC calls to avoid hacking (not allowed when Whitelist is empty). True by default
RPC_ALLOWUSEPRIVATEKEYS=1
;RPC_SAVELOGS : Boolean
;Save RPC commands log file $HOME/PascalCoin
RPC_SAVELOGS=1
;RPC_SERVERMINER_PORT : Integer (Default 4009)
;When value<>0 will activate Server mining port using PascalCoin JSON-RPC mining protocol
RPC_SERVERMINER_PORT=4009
;RPC_SERVERMINER_NAME : String
;Basic name of the miner when allowing
;If value=TIME then will set Date Time in yyyy-mm-dd hh:nn format
RPC_SERVERMINER_NAME=TIME
;RPC_SERVERMINER_B58_PUBKEY : String
;Public key value to use as a server miner Public key
;If empty, will use first avaiable public key of the wallet or generate a new one
RPC_SERVERMINER_B58_PUBKEY=
;RPC_SERVERMINER_MAX_CONNECTIONS : Integer
;Max connections that RPC Miner server can accept
RPC_SERVERMINER_MAX_CONNECTIONS=1000
;RPC_SERVERMINER_MAX_OPERATIONS_PER_BLOCK : Integer
;Max operations included per block
RPC_SERVERMINER_MAX_OPERATIONS_PER_BLOCK=5000
;RPC_SERVERMINER_MAX_ZERO_FEE_OPERATIONS : Integer
;Max operations without fee that can be included in a block
;Note: Operations with fee>0 are processed first (have more priority)
RPC_SERVERMINER_MAX_ZERO_FEE_OPERATIONS=4000
